GLM_GTX_matrix_decompose
Experimental extensions

## Functions

template<typename T , qualifier Q>
GLM_FUNC_DECL bool | decompose (mat< 4, 4, T, Q > const &modelMatrix, vec< 3, T, Q > &scale, qua< T, Q > &orientation, vec< 3, T, Q > &translation, vec< 3, T, Q > &skew, vec< 4, T, Q > &perspective)
| Decomposes a model matrix to translations, rotation and scale components. More...

## Detailed Description

Include <glm/gtx/matrix_decompose.hpp> to use the features of this extension.

Decomposes a model matrix to translations, rotation and scale components

## Function Documentation

## decompose()

GLM_FUNC_DECL bool glm::decompose | ( | mat< 4, 4, T, Q > const & | modelMatrix,
|  | vec< 3, T, Q > & | scale,
|  | qua< T, Q > & | orientation,
|  | vec< 3, T, Q > & | translation,
|  | vec< 3, T, Q > & | skew,
|  | vec< 4, T, Q > & | perspective
| ) |  |

Decomposes a model matrix to translations, rotation and scale components.

See also
  GLM_GTX_matrix_decompose